# TdApi.LoadGroupCallParticipants (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: LoadGroupCallParticipants

Package it.tdlight.jni

# Class TdApi.LoadGroupCallParticipants

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.LoadGroupCallParticipants

Enclosing class:
  TdApi

    public static class TdApi.LoadGroupCallParticipants
    extends TdApi.Function

Loads more participants of a group call. The loaded participants will be received through updates. Use the field groupCall.loadedAllParticipants to check whether all participants has already been loaded.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `groupCallId` | Group call identifier.
`int` | `limit` | The maximum number of participants to load.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LoadGroupCallParticipants()` | Loads more participants of a group call.
`LoadGroupCallParticipants​(int groupCallId, int limit)` | Loads more participants of a group call.
`LoadGroupCallParticipants​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier. The group call must be previously received through getGroupCall and must be joined or being joined.

### limit

public int limit
The maximum number of participants to load.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### LoadGroupCallParticipants

public LoadGroupCallParticipants()
Loads more participants of a group call. The loaded participants will be received through updates. Use the field groupCall.loadedAllParticipants to check whether all participants has already been loaded.

Returns `Ok`

### LoadGroupCallParticipants

public LoadGroupCallParticipants​(int groupCallId, int limit)
Loads more participants of a group call. The loaded participants will be received through updates. Use the field groupCall.loadedAllParticipants to check whether all participants has already been loaded.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier. The group call must be previously received through getGroupCall and must be joined or being joined.
  `limit` - int The maximum number of participants to load.

### LoadGroupCallParticipants

public LoadGroupCallParticipants​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`